Summary: SANE -- Easy local and networked scanner access
Name: sane
Version: 1.0.1
Release: 1
Group: Applications/Graphics
Copyright: GPL, LGPL
URL: http://www.mostang.com/sane/
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.mostang.com/pub/sane/sane-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-root
Provides: libsane.so.1

%description
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

This package does not enable network scanning by default; if you wish
to enable it, read the saned(1) manpage.

Documentations are available at http://www.mostang.com/sane/docs.html.


%package devel
Summary: SANE (Scanner Access Now Easy) development toolkit
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Static libraries and header files for writing SANE modules.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure \
	--prefix=/usr --sysconfdir=/etc --with-gnu-ld
make


%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc install
strip $RPM_BUILD_ROOT/usr/lib/sane/lib*.so.*.*

# Additional tools. xerox may need to be customized first.
install -m755 tools/{find-scanner,xerox} $RPM_BUILD_ROOT/usr/bin

# This was forgotten by "make install", although not essential
ln -s sane/libsane-dll.la $RPM_BUILD_ROOT/usr/lib/libsane.la


%post
/sbin/ldconfig
if [ -d /usr/lib/gimp ]; then
  GIMPDIR=`ls -d /usr/lib/gimp/[01]*`
  ln -sf /usr/bin/xscanimage $GIMPDIR/plug-ins/xscanimage
fi

%preun
if [ $1 = 0 ]; then
  if [ -d /usr/lib/gimp ]; then
    GIMPDIR=`ls -d /usr/lib/gimp/[01]*`
    rm -f $GIMPDIR/plug-ins/xscanimage
  fi
fi

%postun
/sbin/ldconfig


%files
%defattr(-,root,root)
%doc README AUTHORS NEWS
%dir /etc/sane.d
%config /etc/sane.d/*
/usr/bin/*
%dir /usr/lib/sane
/usr/lib/lib*.so.*
/usr/lib/sane/lib*.so.*
/usr/man/man*/*
/usr/sbin/*
%config /usr/share/sane-style.rc

%files devel
%defattr(-,root,root)
/usr/include/sane
/usr/lib/lib*.a
/usr/lib/lib*.la
/usr/lib/lib*.so
/usr/lib/sane/lib*.a
/usr/lib/sane/lib*.la
/usr/lib/sane/lib*.so


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Sat May  1 1999 Hao Li <hli@wag.caltech.edu>
- sane-1.0.1-1. Based on rhcn-1.0.1-2.
- rhcn package splits sane into sane and sane-clients. This doesn't make
  any sense since sane-clients depends on sane, and people rarely install
  sane without sane-clients. So I decide against this.
